import { Link } from "react-router-dom";
import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";

/**
 * Renders an admin interface for managing projects.
 * Allows the admin to add a new project and navigate back.
 * @returns JSX.Element representing the admin interface for managing projects.
 */
function AdminManageProjects(): JSX.Element {
  const content = <></>;

  const buttons = (
    <>
      <Link to="/addProject">
        <Button
          text="Add Project"
          onClick={(): void => {
            return;
          }}
          type="button"
        />
      </Link>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default AdminManageProjects;
