import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";
import TimeReport from "../../Components/NewWeeklyReport";

/**
 * Renders the page for project manager's total time per activity.
 * @returns JSX.Element representing the page for project manager's total time per activity.
 */
function PMTotalTimeActivity(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">
        Total Time Per Activity
      </h1>
      <TimeReport />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default PMTotalTimeActivity;
