import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";
import NewWeeklyReport from "../../Components/NewWeeklyReport";

/**
 * Renders the page for the user to create a new time report.
 * @returns JSX.Element representing the page for the user to create a new time report.
 */
function UserNewTimeReportPage(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">New Time Report</h1>
      <NewWeeklyReport />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default UserNewTimeReportPage;
